<?php
  include("./config.php");
  include("./security.php");
  
  include("./rcon_net.php");

  //neues Template erzeugen
  include("./template.inc");
  $tpl = new Template($templatedir, "keep");

  //Files bekannt machen
  $tpl->set_file(array(
    "main" => "main.ihtml",
    "messages" => "messages.ihtml",
    "helptext" => "helptext.ihtml",
    "servercommand" => "servercommand.ihtml"
  ));
  
  //Blocks definieren
  $tpl->set_block("messages", "notconnected", "NOTCONNECTED");
  $tpl->set_block("messages", "badrcon", "BADRCON");
  $tpl->set_block("messages", "commandnotexecuted", "COMMANDNOTEXECUTED");
  $tpl->set_block("helptext", "command", "COMMAND");

  //parse helptext
  $tpl->set_var(array(
    "TEMPLATEDIR" => $templatedir,
    "CALLTYPE" => "",
    "COMMANDOUTPUT" => "",
    "COMMAND" => $command
  ));
  if($helptext == 1)
    $tpl->parse("HELP", "command", false);
  else
    $tpl->set_var("HELP", "");



  //Action
  $result = "";

  if($action == 1)
  {
    //build connection to Apachenpub
    $fp = net_connect ($server_ip, $server_port);

    //Not connected error
    if (!$fp)
    {
      $tpl->parse("CONTENT", "notconnected", false);
      $tpl->parse("OUT", "main", false);
      $tpl->p("OUT");
      exit;
    }

    //decode command
    $command = urldecode($command);

    //send command
    $command = trim($command);
    $result = net($fp, "$command", $server_password);
    
    //close connection
    fclose($fp);

    //Bad rcon password
    if(trim($result) == "Bad rcon_password.")
    {
      $tpl->parse("CONTENT", "badrcon", false);
      $tpl->parse("OUT", "main", false);
      $tpl->p("OUT");
      exit;
    }
    
    //put out output :)
    $result = StripSlashes($commandoutput . "Commando: $command\n$result\n______________________________________________________________\n\n");

    $tpl->set_var("COMMANDOUTPUT", $result);

  }
  elseif (trim($command) != "")
    $tpl->parse("CALLTYPE", "commandnotexecuted", false);


  //parse content in main template
  $tpl->parse("CONTENT", "servercommand", false);

  //parse everything and print it
  $tpl->parse("OUT", "main", false);
  $tpl->p("OUT");

?>